uk.gov.hmrc.govukfrontend.examples.FileSystem

# TrueDir

###
Related Doc: package FileSystem

#### case class TrueDir(path: Path) extends TruePath with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, TruePath, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TrueDir
2. Serializable
3. Serializable
4. Product
5. Equals
6. TruePath
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TrueDir(path: Path)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def del(): Unit

7. #### def ensure(implicit ec: ExecutionContext): Future[Unit]

   Definition Classes
     TrueDir → TruePath

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def exists(): Boolean

   Definition Classes
     TrueDir → TruePath

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getParent: Option[TrueDir]

    Definition Classes
      TruePath

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val path: Path

    Definition Classes
      TrueDir → TruePath

18. #### val recursiveContents: Iterable[TrueFile]

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toPathAncestry: PathAncestry

    Definition Classes
      TrueDir → TruePath

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TruePath

### Inherited from AnyRef

### Inherited from Any

### Ungrouped